HELP! upgrade 3gs 3.1.3 to 4.1, bb 05.12.01

Discussion in 'Jailbreaks and iOS Hacks' started by jessdla, Dec 23, 2010.

  1. jessdla macrumors newbie

    Joined:
    Dec 23, 2010
    #1
    Hi! I am really lost with all the information!

    I have a 3gs 3.1.3, 05.12.01, with jailbreak and unlock.

    Ive read I can make a 4.1 costume firmware in pwnage tool 4.1.2... NOTE: I dont want to upgrade my baseband, so I didn't download the ipad ipws file.

    Now... Ive alse read I need the SHSH for 4.1.... and I dont know if I have them saved... what I did was to go to cydia in my iphone, click "make my life easier" and that's all... does this means I am cover?? or is there a way to check if they are saved?

    Ok... supposing I have the SHSH for 4.1 saved (by clicking "make my life easier") now Im clear to jailbreak via pwnagetool and then unlock with snowbreeze?

    I am worried because I really need the UNLOCK part...

    PLEASE HELP ME WITH THE STEPS!!
    And with this simple questions....:)

    1. Should I use pwnagetool 4.1.2 or 4.1.3?
    2. Do I have my 4.1 SHSH saved?
    3. Will I be able to unlock at the end of the procedure?

    I really appreciate your answers! Thanks!!!! http://images.macrumors.com/vb/images/smilies/redface.gif
     
  2. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #2
    D/l tiny umbrella. Besides saving your SHSH on your computer, it'll show you which blobs you have. If you look through the posts, there are instructions out there to help you utilize your blobs.
    If you use pwnage made firmware, you won't update your baseband. Your baseband is the factor in whether you can unlock.
     
  3. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #3
    If your SHSH are saved for the iPhone, Cydia should have this on at the top when opened:

    [​IMG]

    If you don't have the 4.1 SHSH saved then you can't upgrade. You can upgrade to 4.2.1 using PwnageTool and preserve the baseband to unlock. Depending on if you have an old bootrom 3GS or new the jailbreak will be untethered or tethered. Old bootrom 3GS will be an untethered jailbreak.
     
  4. Avsman macrumors newbie

    Joined:
    Dec 23, 2010
    #4
    Mine are saves like you showed in Cydia. Now should I be able to use a custom ISPW from pawnage tool, do the restore with the new 4.1 file and go to that from 3.1.3?
     
  5. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #5
  6. Avsman macrumors newbie

    Joined:
    Dec 23, 2010
    #6
    There is no problem taking that custom IPSW and loading it to the phone on a window computer right? I have changed my host files previous.
     
  7. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #7
    Nope, no problems. Your iPhone restore just fine. But you either have to make in PwnageTool on a Mac or download one from google.
     
  8. Avsman macrumors newbie

    Joined:
    Dec 23, 2010
    #8
    How long should it take to go from 3.1.3 to 4.1 when I do the restore?
     
  9. jessdla thread starter macrumors newbie

    Joined:
    Dec 23, 2010
    #9
    the problem is that when I open Cydia it says "This device is pending a TSS request"
    Its been like this for almost a month...

    Do I have to wait till I'm sure I have the 4.1SHS saved right?

    I tried using TinyUmbrella but I cant get to install it in my Mac...
    I also read TinyUmbrella doesn't work on 3gs...

    HELP!
     
  10. jessdla thread starter macrumors newbie

    Joined:
    Dec 23, 2010
    #10
    I finally got TinyUmbrella running, but this is what it display...

    12/27/2010 11:00:04.307 CYDIA DOES NOT HAVE YOUR SHSH FOR iPhone3GS 4.1 (8B117) THERE IS NO WAY FOR YOU TO GET THEM. SORRY. YOU ARE JUST TOO LATE.

    Can anyone help me?
     
  11. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #11
    SHSH are unique to each iPhone and firmware. Once Apple stops sending them out, when a newer firmware is release, there is no way to get old ones. Nobody can help you.

    Instead, check can see if you have the old (untethered) or new (tethered) bootrom for 4.2.1. If you have the old, go to 4.2.1 using a custom 4.2.1 firmware file.
     
  12. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #12
    Again, I should have thought the meaning of the big bold words was plain enough.
     

Share This Page